{% extends "allauth/layouts/manage.html" %}
{% load allauth %}
{% block content %}
{% element h1 %}
Profile
{% endelement %}
<h3>Edit profile information</h3>
{% if user_form.errors %}
<div class="alert alert-danger alert-dismissible" role="alert">
    <div id="form_errors">
        {% for key, value in user_form.errors.items %}
        <strong>{{ value }}</strong>
        {% endfor %}
    </div>
    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
{% endif %}
<div class="form-content">
    <form method="post" enctype="multipart/form-data">
        {% csrf_token %}
        <div class="form-group">
            <label class="mb-1"><b>First Name</b></label>
            {{ user_form.first_name }}
            <br>
            <label class="mb-1"><b>Last name</b></label>
            {{ user_form.last_name }}
        </div>
        <br>
        <div class="text-center">
            <button type="submit" class="btn btn-primary" style="width: 150px;">Save Changes</button>
        </div>
    </form>
</div>
<h3 class="mt-2">Advanced</h3>
<div class="d-grid gap-2">
    {% url 'account_email' as email_url %}
    {% if email_url %}
    <a class="btn btn-light" href="{% url 'account_email' %}">Change Email</a>
    {% endif %}
    {% url 'account_change_password' as change_password_url %}
    {% if change_password_url %}
    <a class="btn btn-light" href="{% url 'account_change_password' %}">Change Password</a>
    {% endif %}
    <a class="btn btn-light" href="{% url 'socialaccount_connections' %}">Third-Party Accounts</a>
    {% url 'mfa_index' as mfa_index_url %}
    {% if mfa_index_url %}
    <a class="btn btn-light" href="{% url 'mfa_index' %}">Two-Factor Authentication</a>
    {% endif %}
    {% url 'usersessions_list' as usersessions_list_url %}
    {% if usersessions_list_url %}

    <a class="btn btn-light" href="{{ usersessions_list_url }}">Sessions</a>

    {% endif %}
</div>

{% endblock content %}